import { $ } from '../../../../../Class/$';
import { Done } from '../../../../../Class/Functional/Done';
import { Fail } from '../../../../../Class/Functional/Fail';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { EE } from '../../../../../types/interface/EE';
export type I = {
    url: string;
    opt: EventSourceInit;
    close: any;
};
export type O = {
    emitter: $ & EE;
};
export interface EventSourceShape {
    readyState: number;
    onopen(evevnt: Event): void;
    onmessage(event: MessageEvent): void;
    onerror(event: Event): void;
    close(): void;
}
export declare const CUSTOM_HEADER_X_EVENT_SOURCE_ID = "X-EventSource-Id";
export default class EventSource_ extends Holder<I, O> {
    private _eventSource;
    constructor(system: System);
    f({ url, opt }: I, done: Done<O>, fail: Fail): Promise<void>;
    d(): void;
}
